## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if 0%{?el9}
%ifarch ppc64le
%bcond_with check_asan
%else
%bcond_without check_asan
%endif
%else
%bcond_without check_asan
%endif

%if 0%{?el8}
# EPEL 8's unit presets defaults to enabling, avoid it
# i.e. no /usr/lib/systemd/user-preset/99-default-disable.preset
%bcond_with systemd_scriptlets
%else
%bcond_without systemd_scriptlets
%endif

Name:           psi-notify
Version:        1.3.1
Release:        %autorelease
Summary:        Alert when your machine is becoming over-saturated

License:        MIT
URL:            https://github.com/cdown/psi-notify
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        disable-test-asan.diff

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsystemd)
%if %{with check_asan}
BuildRequires:  libasan
BuildRequires:  libubsan
%endif
# EPEL 8's unit presets defaults to enabling, avoid it
%if %{with systemd_scriptlets}
BuildRequires:  systemd-rpm-macros
%endif

%description
psi-notify is a minimal unprivileged notifier for system-wide resource pressure
using PSI.

This can help you to identify misbehaving applications on your machine before
they start to severely impact system responsiveness, in a way which MemAvailable
or other metrics cannot.


%prep
%autosetup -p1
%if %{without check_asan}
cat %{SOURCE1} | patch -p1
%endif


%build
export CC=gcc
%set_build_flags
%make_build


%install
%make_install DESTDIR=%{buildroot} prefix=%{_prefix}


%if %{with systemd_scriptlets}
%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service
%endif


%check
export CC=gcc
%set_build_flags
%make_build test


%files
%license LICENSE
%doc README.md demo.gif
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_userunitdir}
%{_userunitdir}/%{name}.service


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.1-2
- When building tests, set build flags and disable ASAN on epel9 ppc64le

* Sat Aug 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Wed Aug 03 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.0-2
- Enable tests

* Tue Aug 02 2022 Michel Alexandre Salim <michel@michel-slm.name> - 1.3.0-1
- Update to 1.3.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu May 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-4
- Set all compiler and linker flags with the right macro (thanks tartina)

* Thu May 21 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-3
- Update PRs

* Wed May 20 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-2
- Fix build on s390x

* Wed May 20 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Fri May  8 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.1-2
- Include demo animation as documentation
- Own /usr/lib/systemd/unit, since the service file is optional

* Wed May  6 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.1-1
- Initial package

## END: Generated by rpmautospec
